> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# updateRecurringPayItem

> The `updateRecurringPayItem` API is used to make amount updates to an employee's existing recurring payroll item.

### What it does:
- Updates the `allocatedPercentage` or `amountPerPayPeriod` for an existing item
- Can be used to switch between percentage and set dollar amount

### Notes:
- A recurring pay item must already exist with the specified `type`
- Updates will reflect immediately in open pay periods but will not affect processing or processed pay periods



## OpenAPI

````yaml put /adminPortal/updateRecurringPayItem
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /adminPortal/updateRecurringPayItem:
    put:
      tags: []
      summary: updateRecurringPayItem
      description: >-
        The `updateRecurringPayItem` API is used to make amount updates to an
        employee's existing recurring payroll item.


        ### What it does:

        - Updates the `allocatedPercentage` or `amountPerPayPeriod` for an
        existing item

        - Can be used to switch between percentage and set dollar amount


        ### Notes:

        - A recurring pay item must already exist with the specified `type`

        - Updates will reflect immediately in open pay periods but will not
        affect processing or processed pay periods
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                userId:
                  type: string
                type:
                  type: string
                allocatedPercentage:
                  type: number
                amountPerPayPeriod:
                  type: number
              required:
                - method
                - companyId
                - userId
                - type
            example:
              method: updateRecurringPayItem
              companyId: 336CB829-543B-451D-AAA2-18A1B03454F2
              userId: C8E5F6AB-4CB5-406C-B756-208B742F4281
              type: CN RPP
              allocatedPercentage: 5
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
                required:
                  - status
                  - message
              example:
                Status: Success
                Message: Recurring pay item updated successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid companyId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````